Remove all autotools usage (#10132)

* Bazelfying conformance tests

Adding infrastructure to "Bazelify" languages other than Java and C++

* Delete benchmarks for languages supported by other repositories

* Bazelfying benchmark tests

* Bazelfying python

Use upb's system python rule instead of branching tensorflow

* Bazelfying Ruby

* Bazelfying C#

* Bazelfying Objective-c

* Bazelfying Kokoro mac builds

* Bazelfying Kokoro linux builds

* Deleting all deprecated files from autotools cleanup

This boils down to Makefile.am and tests.sh and all of their remaining references

* Cleanup after PR reorganizing

- Enable 32 bit tests
- Move conformance tests back
- Use select statements to select alternate runtimes
- Add internal prefixes to proto library macros

* Updating READMEs to use bazel instead of autotools.

* Bazelfying Kokoro release builds

* First round of review fixes

* Second round of review fixes

* Third round of review fixes

* Filtering out conformance tests from Bazel on Windows (b/241484899)

* Add version metadata that was previously scraped from configure.ac

* fixing typo from previous fix

* Adding ruby version tests

* Bumping pinned upb version, and adding tests to python CI
diff --git a/php/generate_descriptor_protos.sh b/php/generate_descriptor_protos.sh
index 9feaa96..2239312 100755
--- a/php/generate_descriptor_protos.sh
+++ b/php/generate_descriptor_protos.sh
@@ -5,6 +5,12 @@
 
 set -e
 
+PROTOC=protoc
+if [ ! -f $PROTOC ]; then
+  bazel build -c opt //:protoc
+  PROTOC=bazel-bin/protoc
+fi
+
 if test ! -e src/google/protobuf/stubs/common.h; then
   cat >&2 << __EOF__
 Could not find source code.  Make sure you are running this script from the
@@ -13,17 +19,16 @@
   exit 1
 fi
 
-pushd src
-./protoc --php_out=internal:../php/src google/protobuf/descriptor.proto
-./protoc --php_out=internal_generate_c_wkt:../php/src \
-  google/protobuf/any.proto \
-  google/protobuf/api.proto \
-  google/protobuf/duration.proto \
-  google/protobuf/empty.proto \
-  google/protobuf/field_mask.proto \
-  google/protobuf/source_context.proto \
-  google/protobuf/struct.proto \
-  google/protobuf/type.proto \
-  google/protobuf/timestamp.proto \
-  google/protobuf/wrappers.proto
+$PROTOC --php_out=internal:php/src google/protobuf/descriptor.proto
+$PROTOC --php_out=internal_generate_c_wkt:php/src \
+  src/google/protobuf/any.proto \
+  src/google/protobuf/api.proto \
+  src/google/protobuf/duration.proto \
+  src/google/protobuf/empty.proto \
+  src/google/protobuf/field_mask.proto \
+  src/google/protobuf/source_context.proto \
+  src/google/protobuf/struct.proto \
+  src/google/protobuf/type.proto \
+  src/google/protobuf/timestamp.proto \
+  src/google/protobuf/wrappers.proto
 popd